#include "xmultidef.h"

XMultiDef::XMultiDef()
    : XAsset()
    , mDvarListPtrs()
    , mDvarList()
    , mDvarStrPtrs()
    , mDvarStr()
    , mDvarValue()
    , mCount(0)
    , mStrDef(0)
{
    SetName("Multi Definition");
}

XMultiDef::~XMultiDef()
{
    
}

void XMultiDef::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XMultiDef::ParseData
}

void XMultiDef::Clear()
{
    mDvarListPtrs.clear();
    mDvarList.clear();
    mDvarStrPtrs.clear();
    mDvarStr.clear();
    mDvarValue.clear();
    mCount = 0;
    mStrDef = 0;
}
